Description

Supportanfrage

Quick question:

For our own filter we want to write compressed files (using zip or gzip). The HD-Recorder can compress its dat-files.

So, are there any public functions within the ADTF2-SDK or any available libraries in the ADTF2 installation we might use?

Lösung

cFileCompression is the only functionality available.

The Recorder compresses DAT Files after they have been closed.

As the DAT Format requires random write access to the file, a streaming based compression is not an option.

History

#1 - 2020-10-05 10:49 - hidden

Oh, I just found cFileCompression.

In fact, I has hoping for a stream compression, which compresses "along the way" of writing the file.

Is it wise to compress a file at cFilter::Stop() or cFilter::Shutdown()? This might slow down the shutdown process heavily? Which strategy is used by

the HD-Recorder?

#2 - 2020-10-05 14:17 - hidden

- Status changed from New to In Progress

- Topic set to ADTF::FilterSDK

#3 - 2020-10-05 15:00 - hidden

Hi Marc,

yep, unfortunately cFileCompression is the only functionality available. The Recorder compresses DAT Files after they have been closed. As the DAT

Format requires random write access to the file, a streaming based compression is not an option.

Maybe using something like https://bitbucket.org/wbenny/ziplib/wiki/Home is an option for you.

Regards,

Martin

#4 - 2020-10-05 17:40 - hidden

- Status changed from In Progress to Customer Feedback Required

#5 - 2020-10-08 08:20 - hidden

Unfortunately the ziplib is C++11, since we need a solution for ADTF2 we cannot use this.

We are now using cFileCompression (after closing the original stream). I seems to work fast enough.

Thanks. Ticket can be closed.
https://bitbucket.org/wbenny/ziplib/wiki/Home


#6 - 2020-10-08 08:45 - hidden

- Project changed from 4 to Public Support

- Subject changed from ADTF2 File compression to ADTF 2 dat file compression

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Solved Issue

#7 - 2022-01-17 08:17 - hidden

- Status changed from To Be Closed to Closed
